For AI agents and LLMs: a structured documentation index is available at /llms.txt. Every page has a Markdown sibling — append .md to any URL.

Skip to content
Docs

Get net revenue metrics

Returns timeseries data for revenue in a given date range.

GET /metrics/revenue

Returns timeseries data for revenue in a given date range. Trends have a daily granularity. Net revenue from completed payments (e.g. single purchase, subscription, B2B invoices) after tax & fees have been deducted, but before adjustments such as refunds or chargebacks.

When to and from are the same, returns an empty timeseries.

Query parameters

fromstring (date)required
Return data from a specific date. Pass an RFC 3339 full-date string. Interpreted at 00:00 UTC. Must be before or the same as to.
tostring (date)required
Return data up to a specific date. Pass an RFC 3339 full-date string. Interpreted as 00:00 UTC. Must be after or the same as from.

Response (200)

dataobjectrequired
Revenue metrics timeseries with amount and transaction count for each datapoint.
currency_codestringrequired
Supported three-letter ISO 4217 currency code for this metric. Returned in your primary balance currency, converted using the current exchange rate.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
timeseriesarrayrequired
Array of datapoints. Empty if to and from are the same.
timestampstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string for this datapoint.
amountstringrequired
Example: 391308
Amount for this datapoint in the lowest denomination for a currency.
countintegerrequired
Example: 65
Number of transactions for this datapoint.
starts_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string for when this timeseries starts (inclusive).
ends_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string for when this timeseries ends (exclusive).
intervalstringrequired
Granularity for this timeseries.
Values
  • day
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of the last successful data refresh for this metric.
metaobjectrequired
Information about this response.
request_idstringrequired
Example: b15ec92e-8688-40d4-a04d-f44cbec93355
Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
Response
{
"data": {
"timeseries": [
{
"timestamp": "2025-09-01T00:00:00Z",
"amount": "1286023068",
"count": 100
},
{
"timestamp": "2025-09-02T00:00:00Z",
"amount": "1345678901",
"count": 100
},
{
"timestamp": "2025-09-03T00:00:00Z",
"amount": "1398765432",
"count": 100
},
{
"timestamp": "2025-09-04T00:00:00Z",
"amount": "1420987654",
"count": 100
}
],
"starts_at": "2025-09-01T00:00:00Z",
"ends_at": "2025-09-05T00:00:00Z",
"interval": "day",
"currency_code": "USD",
"updated_at": "2025-09-04T20:30:00Z"
},
"meta": {
"request_id": "b93d9c94-c28f-4e5d-af2e-044854d7afe8"
}
}

Was this page helpful?